<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: File Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('globals_func_c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_c"></a>- c -</h3><ul>
<li>CallExprProc()
: <a class="el" href="_decl_ref_expr_proc_8h.html#affd6655ecb67077219b58596d238e794">DeclRefExprProc.h</a>
</li>
<li>CaseStmtProc()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a60b5422a988773261615f529955f7ad4">DeclRefExprProc.h</a>
</li>
<li>CastExprProc()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a0fc130806db0baa658969dbbd9a76566">DeclRefExprProc.h</a>
</li>
<li>CharacterLiteralProc()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a525fc8516c619ae83939e43b328ddc41">DeclRefExprProc.h</a>
</li>
<li>CheckCompleteness()
: <a class="el" href="refactor-powertrain-controls_8cpp.html#a7f6630082f62113b27a36f1c85d536ff">refactor-powertrain-controls.cpp</a>
</li>
<li>checkNcreateDirectories()
: <a class="el" href="search_path_utilities_8hpp.html#a05bc4046e38ba530ba7c938105aed5a4">searchPathUtilities.hpp</a>
</li>
<li>CmpdAddAndAsssign()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a71643f0e5c63382ac26d99ca99c7d60c">DeclRefExprProc.h</a>
</li>
<li>CmpdAndAndAsssign()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a8cef443e8858b4c8fd3b7ea01bfd1dd9">DeclRefExprProc.h</a>
</li>
<li>CmpdDivAndAsssign()
: <a class="el" href="_decl_ref_expr_proc_8h.html#ae88ba8885a0a56a809e53a04ad02a059">DeclRefExprProc.h</a>
</li>
<li>CmpdModuloAndAsssign()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a14906665cc380fc6f3f33d8e50d978f1">DeclRefExprProc.h</a>
</li>
<li>CmpdMultAndAsssign()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a36ee09d2753d0ffa724879d43a15d592">DeclRefExprProc.h</a>
</li>
<li>CmpdOrAndAsssign()
: <a class="el" href="_decl_ref_expr_proc_8h.html#aa2f977bbd98d0999bd8404a69246a36c">DeclRefExprProc.h</a>
</li>
<li>CmpdShlAndAsssign()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a6c7eba355065dc8a67c933c2852ff26f">DeclRefExprProc.h</a>
</li>
<li>CmpdShrAndAsssign()
: <a class="el" href="_decl_ref_expr_proc_8h.html#ac3b384349c55d0572c92fe4c2151a80a">DeclRefExprProc.h</a>
</li>
<li>CmpdSubAndAsssign()
: <a class="el" href="_decl_ref_expr_proc_8h.html#aeb78dececa1114a07d31d305d581cb54">DeclRefExprProc.h</a>
</li>
<li>CmpdXorAndAsssign()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a96f7b2d18575a580ba7c17351a9810c3">DeclRefExprProc.h</a>
</li>
<li>CmpndProc()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a5af644c608ba02b5c6c6dfc2d67a13b7">DeclRefExprProc.h</a>
</li>
<li>CoAwait()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a3ae6d112ab9f9ad0f4c7fb531866875e">DeclRefExprProc.h</a>
</li>
<li>Comma()
: <a class="el" href="_decl_ref_expr_proc_8h.html#a26f01a325973b9a02726edb60851e9f9">DeclRefExprProc.h</a>
</li>
<li>compileFuncDefList()
: <a class="el" href="refactor-powertrain-controls_8cpp.html#aaa948d1873b8bc4f4916febf4f89be48">refactor-powertrain-controls.cpp</a>
</li>
<li>CompoundLiteralProc()
: <a class="el" href="_decl_ref_expr_proc_8h.html#aa3fbe79687b97727408239ea329424b8">DeclRefExprProc.h</a>
</li>
<li>convertVectorToVectorVector()
: <a class="el" href="create_recursive_funct_matchers_8hpp.html#a12397f1e741b5a9fa98a758126c1f1bf">createRecursiveFunctMatchers.hpp</a>
</li>
<li>createBasicNode()
: <a class="el" href="refactor-powertrain-controls_8cpp.html#ab6d3c9853a30bc8a0bfb094e695b610d">refactor-powertrain-controls.cpp</a>
</li>
<li>createCalibrationInterface()
: <a class="el" href="resolve_interface_variables_8hpp.html#ace2f9c5796cd167ea4edcd741bd802f3">resolveInterfaceVariables.hpp</a>
</li>
<li>createCalibrationStructs()
: <a class="el" href="create_calibration_structs_8hpp.html#a36265cf4692fcc20b3f825cfa3a9250a">createCalibrationStructs.hpp</a>
</li>
<li>createCallExprNode()
: <a class="el" href="refactor-powertrain-controls_8cpp.html#a5dd3a5d76aa780e750286379c981b8fc">refactor-powertrain-controls.cpp</a>
</li>
<li>createCompuMethods()
: <a class="el" href="create_compu_methods_8hpp.html#aafd99697405004efe0b96d53547791d5">createCompuMethods.hpp</a>
</li>
<li>createDeclChildParentRel()
: <a class="el" href="get_decl_context_and_decls_8hpp.html#a9b9ebe7f7dd94f8bb96645bb25aca52a">getDeclContextAndDecls.hpp</a>
</li>
<li>createDefaultData()
: <a class="el" href="resolve_interface_variables_8hpp.html#ae30d3b8d9e69135cca204a7616e4735a">resolveInterfaceVariables.hpp</a>
</li>
<li>createIDS()
: <a class="el" href="create_compu_methods_8hpp.html#ab8314d3da7b810cfdab50d422cf4816f">createCompuMethods.hpp</a>
</li>
<li>createIndex()
: <a class="el" href="_process_location_8h.html#a9fbf463f0a31bd0cbddfd31e1241d986">ProcessLocation.h</a>
</li>
<li>createInterfaceVariables()
: <a class="el" href="create_interface_variables_8hpp.html#a58ada5d29f5277d893e7c34d77b04688">createInterfaceVariables.hpp</a>
</li>
<li>CreateJsonFile()
: <a class="el" href="_write_j_s_o_n_report_8h.html#a2af47097be7fe06b8b6d271ac5792c8b">WriteJSONReport.h</a>
</li>
<li>createNameMappingMDXToCCode()
: <a class="el" href="resolve_interface_variables_8hpp.html#ab7ae30ead392394a78f8717caaadce06">resolveInterfaceVariables.hpp</a>
</li>
<li>createNewMatchers()
: <a class="el" href="create_recursive_funct_matchers_8hpp.html#ad6c6ed9a638cba79704c0ef16090bf30">createRecursiveFunctMatchers.hpp</a>
</li>
<li>createPgTables()
: <a class="el" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1">postgresInterface.hpp</a>
</li>
<li>createPhysToEcuConv()
: <a class="el" href="create_phys_to_ecu_conv_8hpp.html#a1428567155675d130b5f04f9bc2cf0a0">createPhysToEcuConv.hpp</a>
</li>
<li>createRefactoringTool()
: <a class="el" href="refactor-powertrain-controls_8cpp.html#afd0276fa65d6e39e10653c72733fd8b4">refactor-powertrain-controls.cpp</a>
</li>
<li>createSimTableContent()
: <a class="el" href="resolve_interface_variables_8hpp.html#a3a607a94b734cf0e9d611120a0e5d379">resolveInterfaceVariables.hpp</a>
</li>
<li>CreateStringForFileReport()
: <a class="el" href="_store_results_to_file_8h.html#a640450ce1c92b87137467ef37910e797">StoreResultsToFile.h</a>
</li>
<li>createStringsForFileReport()
: <a class="el" href="_process_location_8h.html#abb6801f1785c7ca958a09296f48539c6">ProcessLocation.h</a>
</li>
<li>createSystemConst()
: <a class="el" href="create_system_consts_8hpp.html#a5bb7ea22049580df89596ee335e73ece">createSystemConsts.hpp</a>
</li>
<li>createTables()
: <a class="el" href="create_compu_methods_8hpp.html#af75030a42fda96040064e95d5c9371ce">createCompuMethods.hpp</a>
</li>
<li>createTargetFileNDirectory()
: <a class="el" href="search_path_utilities_8hpp.html#a152e2fff4bde021a57705e981df39a17">searchPathUtilities.hpp</a>
</li>
<li>createTargetFilePath()
: <a class="el" href="search_path_utilities_8hpp.html#a6eaa9e7803d69414d32130fee3c26789">searchPathUtilities.hpp</a>
</li>
<li>createVariablesInterface()
: <a class="el" href="resolve_interface_variables_8hpp.html#afa63c6d39c748f36446bb7f83c6e37c4">resolveInterfaceVariables.hpp</a>
</li>
<li>createWorkingEnvironment()
: <a class="el" href="search_path_utilities_8hpp.html#a6f7bdad1724b71001c5dd5c9b6d989bd">searchPathUtilities.hpp</a>
</li>
<li>cutleadingNtrailingPattern()
: <a class="el" href="search_path_utilities_8hpp.html#a4731041361b0df9f731e6f0d9dcb2037">searchPathUtilities.hpp</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
